Name:            plymouth-theme-legacy
Summary:         PCLinuxOS Legacy Plymouth Theme
Version:         1.0.0
Release:         %mkrel 2
License:         GPLv2+
Group:           System/Kernel and hardware
Source:          %{name}-%{version}.tar.xz
URL:             http://www.pclinuxos.com
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:  	 plymouth
BuildArch:       noarch


%description
This package contains the legacy 2010 plymouth Dobie theme
for PCLinuxOS

%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT


mkdir -p $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/legacy
install -m 644 *.* $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/legacy


%clean
rm -rf $RPM_BUILD_ROOT

%postun
/usr/bin/remove-theme
/usr/sbin/plymouth-set-default-theme PCLinuxOS
/usr/share/bootsplash/scripts/switch-themes PCLinuxOS

%posttrans
/usr/bin/remove-theme
/usr/sbin/plymouth-set-default-theme legacy
/usr/share/bootsplash/scripts/switch-themes legacy



%files
%defattr(-, root, root)
%{_datadir}/plymouth/themes/legacy
%dir %{_datadir}/plymouth/themes/legacy

%changelog
* Sat Jun 11 2011 Neal <nealbrks0 at gmail.com> 1.0.0-2pclos2011
- add %postun to fix nonremoval of theme folder

* Wed Jun 01 2011 Texstar <texstar at gmail.com> 1.0.0-1pclos2011
- create package


